%global module_name xtend
%{?nodejs_find_provides_and_requires}
%global enable_tests 1

Name:           nodejs-%{module_name}
Version:        4.0.0
Release:        %mkrel 2
Summary:        Extend like a boss
Group:          Development/Other

License:        MIT
URL:            https://github.com/Raynos/%{module_name}
Source0:        http://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch

BuildRequires:  nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:  npm(tape)
%endif

%description
xtend is a basic utility library which allows you to extend an object by
appending all of the properties from each object in a list. When there
are identical properties, the right-most property takes precedence.

%prep
%setup -q -n package
rm -rf node_modules

# Fix upstream file name
mv LICENCE LICENSE

%build
#nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
node test.js
%endif

%files
%doc LICENSE README.md
%{nodejs_sitelib}/%{module_name}



%changelog
* Wed May 25 2016 neoclust <neoclust> 4.0.0-2.mga6
+ Revision: 1018347
- Enable tests

* Tue May 17 2016 joequant <joequant> 4.0.0-1.mga6
+ Revision: 1016339
- imported package nodejs-xtend

